Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.automaton
Class AutomatonReturnQueueSelfAndNeighbours

    java.lang.Object
      gecco.server.automaton.AutomatonReturn
          gecco.server.automaton.AutomatonReturnQueueSelfAndNeighbours

public class AutomatonReturnQueueSelfAndNeighbours
extends AutomatonReturn

Description of the Class

Author:
  Henrik Hägerström

Field Summary

Fields inherited from class gecco.server.automaton.AutomatonReturn
`event, neighboursTimeToExecution, selfTimeToExecution`

Constructor Summary
`AutomatonReturnQueueSelfAndNeighbours(double selfTimeToExecution, double neighboursTimeToExecution)` Constructor for the AutomatonReturnQueueSelfAndNeighbours object
`AutomatonReturnQueueSelfAndNeighbours(double selfTimeToExecution, double neighboursTimeToExecution, UnitEvent unitEvent)` Constructor for the AutomatonReturnQueueSelfAndNeighbours object

Methods inherited from class gecco.server.automaton.AutomatonReturn
`getNeighboursTimeToExecution, getSelfTimeToExecution, getUnitEvent, setUnitEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomatonReturnQueueSelfAndNeighbours

    public AutomatonReturnQueueSelfAndNeighbours(double selfTimeToExecution,
                                                 double neighboursTimeToExecution)

  Constructor for the AutomatonReturnQueueSelfAndNeighbours object

Parameters:
  `selfTimeToExecution` - Description of Parameter
  `neighboursTimeToExecution` - Description of Parameter

### AutomatonReturnQueueSelfAndNeighbours

    public AutomatonReturnQueueSelfAndNeighbours(double selfTimeToExecution,
                                                 double neighboursTimeToExecution,
                                                 UnitEvent unitEvent)

  Constructor for the AutomatonReturnQueueSelfAndNeighbours object

Parameters:
  `selfTimeToExecution` - Description of Parameter
  `neighboursTimeToExecution` - Description of Parameter
  `unitEvent` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD